Subject: bug#4896: DocView: Continuous mode

From: Juri Linkov <[email-masked]>
Date: Sun, 29 Nov 2009 18:05:01 +0200

>> If there are problems with that, maybe we should create a minor mode?
>
> I tried it out, and I'd prefer to have a minor mode, because although
> I like the continuous mode, sometimes I have to switch it off.
> With a minor mode and the command bound to some key that would be more
> convenient that M-: (setq doc-view-continuous-mode nil) RET.

After implementing more smooth scrolling, we could later add
a third value (e.g. `smooth') to the customizable variable
`doc-view-continuous-mode'.  But with a minor mode this would not
be possible.  Or when somebody will request to not allow SPC and DEL
to scroll to the next/previous page, we could add a fourth value.
IOW, with defcustom we have more degrees of freedom.

-- 
Juri Linkov
http://www.jurta.org/emacs/